Bug 242300 - no download connect exception often. gcj setting conflict?
no download connect exception often. gcj setting conflict?
Product: Fedora
Classification: Fedora
Component: azureus (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-03 00:12 EDT by James Twyford
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-11 16:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
stderr output (2.14 KB, text/plain)
2007-06-03 00:12 EDT, James Twyford
no flags Details

  None (edit)
Description James Twyford 2007-06-03 00:12:21 EDT
Description of problem:
Fedora-provided Azureus running on gij (GNU libgcj) version 4.1.2
20070502 (Red Hat 4.1.2-12) is consistently throwing "Peer connection closed:
connection exception: Resource temporarily unavailable;" and refusing to pass
data between peers. It may be a firewall problem, but as far as Azureus is
concerned it isn't (showing NAT OK with a green icon, port opened in firestarter
and forwarded to the local computer from the router).

I'm leaning towards something botched in gcj (I just upgraded from fc5 using sun
java yesterday) if it isn't straight ID-ten-T foolishness, but I've no idea
where to look. It appears that gcj (or something else? I'm running SELinux in
enforcing mode) is letting an extremely small amount of info through (on the
order of only one active connection at a time or something). No actual data
transfer though: Azureus is only showing bitfields.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Azureus
2. Watch torrents not move any data
Actual results:
Azu is fully connecting to a few peers (showing "Fully Established" in the Peers
tab, but sparse bitfield info--5 peers in a swarm of 300!), no data transfer
taking place. It is trying to get a single piece so far, but zero bits have been

Expected results:
Azureus happily consumes all available bandwidth

Additional info:
Gut feeling is that gcj or something further down the line (selinux? I'm running
in enforcing mode) isn't letting concurrent net connections get through in java.
Working just fine in the original Bittorrent client by Brahm, though.

I totally reset my azureus config (`rm -rf ~/.azureus`) and started a single
torrent then enabled logging to check the console messages before posting this.

Attached what I figure is relevant info the Azu console's showing me.
Comment 1 James Twyford 2007-06-03 00:12:21 EDT
Created attachment 156016 [details]
stderr output
Comment 2 Sergio Pascual 2007-07-20 05:12:09 EDT
The same happens for me. On i386 I have managed to run the Azureus from rpm with
the jre from sun and it starts to download inmediately
Comment 3 Anthony Green 2007-11-11 16:49:26 EST
Hey guys - I'm WONTFIX'ing this.  I agree that this is a gcj bug. Please run
azureus with icedtea.  Thanks (and sorry!)

Note You need to log in before you can comment on or make changes to this bug.